#!/bin/sh
#
# $FreeBSD: ports/mail/dspampd/files/dspampd.rc,v 1.1 2005/01/12 08:15:05 edwin Exp $
#

# PROVIDE: dspampd
# REQUIRE: LOGIN clamd dspam
# BEFORE: mail
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf[.local] to enable dspampd:
#
#dspampd_enable="YES"
#

. /etc/rc.subr

name=dspampd
rcvar=`set_rcvar`

command=/usr/local/sbin/dspampd > /dev/null 2>&1
pidfile=/var/run/dspampd.pid
required_dirs=/var/spool/dspampd-archive
required_files=/usr/local/etc/dspampd/dspampd.conf

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

dspampd_enable=${dspampd_enable:-"NO"}
dspampd_flags=${dspampd_flags:-"--daemon"}

load_rc_config $name
run_rc_command "$1"
